package com.github.jfcloud.gene.form.entity;

import com.github.jfcloud.gene.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 品系定制基本信息
 * strain_custom_info
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class StrainCustomInfo extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private Long id;
    /**
     * 流程主键
     */
    private Long flowId;
    /**
     * 定制类型
     */
    private String customizationType;
    /**
     * 动物品系
     */
    private String animalStrain;
    /**
     * 目标基因名称（简称）
     */
    private String geneName;
    /**
     * NCBI Gene ID
     */
    private String ncbiGeneId;
    /**
     * 基因敲除种属
     */
    private String knockoutSpecies;
    /**
     * 基因敲除种属（其他）
     */
    private String knockoutSpeciesOther;
    /**
     * 遗传工程模型种类
     */
    private String geneticModelType;
    /**
     * 基因敲除具体要求
     */
    private String knockoutDetail;
    /**
     * 插入基因要求
     */
    private String insertGeneDetail;
    /**
     * 其他要求
     */
    private String otherRequirement;
    /**
     * 申请方提供材料
     */
    private String providedMaterials;
}